package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 销售合同变更-模板初审和审核条件关联关系表
 * </p>
 *
 * @author yafan
 * @since 2024-01-09
 */
@TableName("sales_contract_supplement_template_first_approval_condition_rel")
public class SalesContractSupplementTemplateFirstApprovalConditionRel {

    private static final long serialVersionUID = 1L;

    @TableField("id")
    private Long id;

    /**
     * 销售合同-模板初审ID
     */
    @TableField("sales_contract_supplement_template_first_approval_info_id")
    private Long salesContractSupplementTemplateFirstApprovalInfoId;

    /**
     * 销售合同变更-模板初审(基础交易合同)-字典表ID
     */
    @TableField("sales_contract_approval_condition_dic_id")
    private Long salesContractApprovalConditionDicId;

    /**
     * 是否满足 1 是 0 否
     */
    @TableField("is_agree")
    private Integer agree;

    public Long getSalesContractSupplementTemplateFirstApprovalInfoId() {
        return salesContractSupplementTemplateFirstApprovalInfoId;
    }

    public void setSalesContractSupplementTemplateFirstApprovalInfoId(Long salesContractSupplementTemplateFirstApprovalInfoId) {
        this.salesContractSupplementTemplateFirstApprovalInfoId = salesContractSupplementTemplateFirstApprovalInfoId;
    }
    public Long getSalesContractApprovalConditionDicId() {
        return salesContractApprovalConditionDicId;
    }

    public void setSalesContractApprovalConditionDicId(Long salesContractApprovalConditionDicId) {
        this.salesContractApprovalConditionDicId = salesContractApprovalConditionDicId;
    }

    public Integer getAgree() {
        return agree;
    }

    public void setAgree(Integer agree) {
        this.agree = agree;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementTemplateFirstApprovalConditionRel{" +
            ", salesContractSupplementTemplateFirstApprovalInfoId=" + salesContractSupplementTemplateFirstApprovalInfoId +
            ", salesContractApprovalConditionDicId=" + salesContractApprovalConditionDicId +
        "}";
    }
}
